Subject: Re: [Uri-review] URI resolution questions

From: Timothy Mcsweeney <[email-masked]>
Date: Wed, 11 Nov 2020 10:59:28 -0500 (EST)

Text version:

Hi Larry,

If "example:123456" is my application unique string (RFC 3402 section 3) and the first well known rule is applied, the output being the key example.uri.arpa.  At this point what has happened to the "123456"?   I am assuming that at this point nothing has happened to the "123456" because the DDDS application is now asking for rules to apply which are located in the NAPTR record at example.uri.arpa....is that correct?

On 02/27/2020 12:09 PM Timothy Mcsweeney <[email-masked]> wrote:

Hi Larry,

If "example:123456" is my application unique string (RFC 3402 section 3) and the first well known rule is applied, the output being the key example.uri.arpa.  At this point what has happened to the "123456"?   I am assuming that at this point nothing has happened to the "123456" because the DDDS application is now asking for rules to apply which are located in the NAPTR record at example.uri.arpa....is that correct?

On February 26, 2020 at 8:41 PM Larry Masinter <[email-masked]> wrote:

Uh… I can’t make sense of your question

From: Uri-review <[email-masked]> On Behalf Of Timothy Mcsweeney
Sent: Wednesday, February 26, 2020 4:05 PM
To: [email-masked]
Subject: [Uri-review] URI resolution questions

Hello All,

It was generously suggested that I may get some questions answered here about URI resolution so here it goes:

If I have a scheme name and a string like "example:123456" and the the string will be used for further processing by a second NAPTR , would I want to use the I2Rs mnemonic with a "p" flag in the first NAPTR?

And in this scenario, if the answer to the query of the second NAPTR is terminal , does the answer go back to where the first query originated from?

What happens to the string during the resolution process?

I have been trying to set up a test environment for this but have not yet been successful so any tips/tricks, or tools would be greatly appreciated.

Tim